Package org.eclipse.microprofile.lra.tck.participant.api

# Class LRAUnknownResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
org.eclipse.microprofile.lra.tck.participant.api.LRAUnknownResource

@ApplicationScoped @Path("lraUnknownController") public class LRAUnknownResource extends ResourceParent
TCK Tests related to the 410 status code handling. Version without a Status method.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LRA_CONTROLLER_PATH`
`static final String`
`TRANSACTIONAL_WORK_PATH`

## Constructor Summary

Constructors
Constructor
Description
`LRAUnknownResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`activityWithLRA(URI lraId, Scenario scenario)`
`jakarta.ws.rs.core.Response`
`compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response`
`completeWork(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LRA_CONTROLLER_PATH

public static final String LRA_CONTROLLER_PATH

See Also:
  - Constant Field Values

### TRANSACTIONAL_WORK_PATH

public static final String TRANSACTIONAL_WORK_PATH

See Also:
  - Constant Field Values

## Constructor Details

### LRAUnknownResource

public LRAUnknownResource()

## Method Details

### activityWithLRA

@PUT @Path("work") public jakarta.ws.rs.core.Response activityWithLRA(@HeaderParam("Long-Running-Action") URI lraId, @QueryParam("scenario") Scenario scenario)

### completeWork

@PUT @Path("/complete") @Produces("application/json") public jakarta.ws.rs.core.Response completeWork(@HeaderParam("Long-Running-Action") URI lraId) throws jakarta.ws.rs.NotFoundException

Throws:
  `jakarta.ws.rs.NotFoundException`

### compensateWork

@PUT @Path("/compensate") @Produces("application/json") public jakarta.ws.rs.core.Response compensateWork(@HeaderParam("Long-Running-Action") URI lraId) throws jakarta.ws.rs.NotFoundException

Throws:
  `jakarta.ws.rs.NotFoundException`